# Class CalendarException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.codename1.calendar.CalendarException

public class CalendarException extends Exception
Exception returned by asynchronous calendar operations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarException(CalendarError error, String message)`
  `CalendarException(CalendarError error, String message, int responseCode, String responseBody, Throwable cause)`
  `CalendarException(CalendarError error, String message, int responseCode, Throwable cause)`
  `CalendarException(CalendarError error, String message, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CalendarError`
  `getError()`
  `String`
  `getResponseBody()`
  Returns the provider response body for an HTTP failure, if one was available.
  `int`
  `getResponseCode()`

  ### Methods inherited from class Throwable

  `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CalendarException

    public CalendarException(CalendarError error, String message)

  - ### CalendarException

    public CalendarException(CalendarError error, String message, Throwable cause)

  - ### CalendarException

    public CalendarException(CalendarError error, String message, int responseCode, Throwable cause)

  - ### CalendarException

    public CalendarException(CalendarError error, String message, int responseCode, String responseBody, Throwable cause)

- ## Method Details

  - ### getError

    public CalendarError getError()

  - ### getResponseCode

    public int getResponseCode()

  - ### getResponseBody

    public String getResponseBody()
    Returns the provider response body for an HTTP failure, if one was available. This is kept separate from the user-facing exception message.